Holger's Java API

## com.antelmann.io
Class DoublePrintStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  com.antelmann.io.DoublePrintStream

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class DoublePrintStream

extends PrintStream

a PrintStream that propagates writes to two PrintStream objects

Author:
  Holger Antelmann

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`DoublePrintStream(PrintStream stream1, PrintStream stream2)`

Method Summary
`PrintStream` `append(char c)`
`boolean` `checkError()`
`void` `close()`
`void` `flush()`
`PrintStream` `getPrintStream1()`
`PrintStream` `getPrintStream2()`
`void` `write(byte[] buf, int off, int len)`
`void` `write(int n)`

Methods inherited from class java.io.PrintStream
`append, append, clearError, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoublePrintStream

    public DoublePrintStream(PrintStream stream1,
                             PrintStream stream2)

Method Detail

### getPrintStream1

    public PrintStream getPrintStream1()

### getPrintStream2

    public PrintStream getPrintStream2()

### append

    public PrintStream append(char c)

  Specified by:
    `append` in interface `Appendable`
  Overrides:
    `append` in class `PrintStream`

### write

    public void write(byte[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `PrintStream`

### write

    public void write(int n)

  Overrides:
    `write` in class `PrintStream`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `PrintStream`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `PrintStream`

### checkError

    public boolean checkError()

  Overrides:
    `checkError` in class `PrintStream`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads